Quassel IRC - Bug #503

Quassel-Build's don't work under Windows

01/26/2009 10:12 AM - Datafreak

Status: Resolved Start date: 01/26/2009
Priority: High Due date:

Assignee: Sputnick % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.6.0

Version: 0.3.0.x 0S: Windows
Description

Hi,

my Windows-Build only run on my Build-Box.
On other Windows-Boxes with .Net and redistributable
it does not work.

Gruf3,
Datafreak

Associated revisions

Revision dbf2519bd6f250b03a5311fea58a608a15192e82 - 02/05/2009 12:57 AM - Manuel Nickschas
Set CMAKE_BUILD_TYPE=RelWithDebuglnfo if it's not set manually.

Also, we enable some gcc flags to provide for better debugging information.

Use -DCMAKE_BUILD_TYPE=Debug for mostly optimized, but debuggable builds.
Use -DCMAKE_BUILD_TYPE=Debugfull for -g3 (all debug info).

This should fix #5083 too (I hope)

Revision dbf2519b - 02/05/2009 12:57 AM - Manuel Nickschas

Set CMAKE_BUILD_TYPE=RelWithDebuglnfo if it's not set manually.

Also, we enable some gcc flags to provide for better debugging information.

Use -DCMAKE_BUILD_TYPE=Debug for mostly optimized, but debuggable builds.
Use -DCMAKE_BUILD_TYPE=Debugfull for -g3 (all debug info).

This should fix #5083 too (I hope)

Revision 5e25edca - 08/02/2019 12:14 PM - al

Merge branch 'select-account-from-cli' of https://github.com/justjanne/quassel

Closes #503.

History

#1 - 01/26/2009 12:03 PM - Datafreak
"set(CMAKE_BUILD_TYPE Release)" is missing

#2 - 02/04/2009 11:51 PM - EgS

- Assignee set to Sputnick

Broken since:
http://git.quassel-irc.org/?p=quassel.git;a=commitdiff;h=36b30b6b8775{5322fad3d1ee99545a07baf9e20

#3 - 02/18/2009 12:04 AM - Sputnick
- Target version changed from 0.4.0 to 0.5.0
- OS set to Any

07/19/2025

1/2



https://github.com/justjanne/quassel
http://git.quassel-irc.org/?p=quassel.git;a=commitdiff;h=36b30b6b8775f5322fad3d1ee99545a07baf9e20

#4 - 09/11/2009 01:06 AM - Sputnick
- Target version deleted (0.5.0)

#5 - 02/17/2010 09:17 PM - johu

- Status changed from New to Resolved
- Target version set to 0.6.0

- Version changed from 0.3.1+ to 0.3.0.x

- OS changed from Any to Windows
